<ng-container *ngIf="type === 'input' && model">
  <mat-form-field
    *ngFor="let availableLocale of availableLocales"
    [ngStyle]="{
      display: selectedLocale === availableLocale ? 'block' : 'none'
    }"
  >
    <mat-label>{{ placeholder + ' (' + availableLocale + ')' }}</mat-label>
    <input
      #refs
      [attr.data-locale]="availableLocale"
      [disabled]="disabled"
      matInput
      [placeholder]="placeholder + ' (' + availableLocale + ')'"
      [(ngModel)]="model[availableLocale]"
    />
  </mat-form-field>
</ng-container>

<ng-container *ngIf="type === 'textarea' && model">
  <mat-form-field
    *ngFor="let availableLocale of availableLocales"
    [ngStyle]="{
      display: selectedLocale === availableLocale ? 'block' : 'none'
    }"
  >
    <mat-label>{{ placeholder + ' (' + availableLocale + ')' }}</mat-label>
    <textarea
      #refs
      [attr.data-locale]="availableLocale"
      [disabled]="disabled"
      matInput
      [placeholder]="placeholder + ' (' + availableLocale + ')'"
      [(ngModel)]="model[availableLocale]"
    >
       {{ model[availableLocale] }}
    </textarea>
  </mat-form-field>
</ng-container>

<ng-container *ngIf="type === 'html' && model">
  <div
    [ngStyle]="{
      display: selectedLocale === availableLocale ? 'block' : 'none'
    }"
    *ngFor="let availableLocale of availableLocales"
  >
    <p>{{ placeholder + ' (' + availableLocale + ')' }}</p>
    <dbe-html-editor
      [disabled]="disabled"
      [(content)]="model[availableLocale]"
    ></dbe-html-editor>
  </div>
</ng-container>

<!-- <div class="available-locales-container" fxLayout="row wrap" fxLayoutGap="5px" fxLayoutAlign="end center">
  <button fxFlex="nogrow" *ngFor="let availableLocale of availableLocales" mat-mini-fab [color]="buttonColor(availableLocale)" (click)="setLocale(availableLocale)">
    {{availableLocale.toUpperCase()}}
  </button>
</div> -->

<div
  class="available-locales-container"
  fxLayout="row wrap"
  fxLayoutGap="5px"
  fxLayoutAlign="end center"
>
  <p
    *ngFor="let al of availableLocales"
    class="available-locale"
    fxFlex="nogrow"
    [ngClass]="{ active: buttonColor(al) }"
    (click)="setLocale(al)"
  >
    {{ al.toUpperCase() }}
  </p>
</div>
